/* Example: string manipulation using <string.h> library */
/* At the Unix prompt, enter 'man string' for details */

#include <stdio.h>
#include <string.h>

main()
{
  char town[] = "Guildford";
  char county[] = "Surrey";
  char s[80];
  char *pc;
  int n;
    
  strcpy(s, "Woking");  /* string copy */
  printf("The nearest town to %s is %s.\n\n", town, s);
  
  strcat(s, " and ");  /* string concatenation */
  strcat(s, town);
  strcat(s, " are both in ");
  strcat(s, county);
  strcat(s, ".\n");
  puts(s);
  
  if (strcmp(town, county) == 0)  /* string comparison */
    printf("%s is the same as %s.\n", town, county);
  else
    printf("%s is not the same as %s.\n", town, county);
    
  strcpy(s, "How long is a piece of string?");
  n = strlen(s);  /* string length, excluding the '\0' */
  printf("\n\"%s\" contains %i characters.\n\n", s, n);
  
  pc = strstr(s, "of");  /* find a string within a string */
  n = pc - s;  /* subtract the pointers */
  printf("\"of\" occurs at position %i in \"%s\"\n", n, s);
}
